/**
 * @file iPTd.cpp
 *
 */

#include "stdafx.h"
#include "iPTd.h"
 
#include <ry0/iPTd/Controller.h>

/*
 * Win32 アプリケーションの初期エントリポイント
 */
int APIENTRY _tWinMain(_In_     HINSTANCE hInstance,
                       _In_opt_ HINSTANCE hPrevInstance,
                       _In_     LPTSTR    lpCmdLine,
                       _In_     int       nCmdShow)
{
#if DBG_LEVEL >= 4
    //コンソールの表示
    int hConsle;
    AllocConsole();
    hConsle = _open_osfhandle((long)GetStdHandle(STD_OUTPUT_HANDLE), _O_TEXT);
    *stdout = *_fdopen(hConsle, "w");
    setvbuf(stdout, NULL, _IONBF, 0);
    printf("コンソール表示\n");
#endif

    return ApplicationMain(ry0::iPTd::Controller, TEXT("ry0.app.iptd"), hInstance, hPrevInstance, lpCmdLine, nCmdShow);
}

